- Home
- API Enriched
- Shape
- shape
- List Affected Users.
List Affected Users.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts/example/affectedUsers';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"example","filters":{"affected_user_device_id_filter":{"device_ids":["example"],"op":"IN"},"affected_user_geolocation_filter":{"geolocations":["example"],"op":"IN"},"affected_user_ip_address_filter":{"ip_addresses":["example"],"op":"IN"}},"namespace":"example","page_number":1,"page_size":1,"page_token":"example","script_id":"example","sorts":[{"field":"example","order":"DESCENDING"}],"start_time":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts/example/affectedUsers \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "example", "filters": { "affected_user_device_id_filter": { "device_ids": [ "example" ], "op": "IN" }, "affected_user_geolocation_filter": { "geolocations": [ "example" ], "op": "IN" }, "affected_user_ip_address_filter": { "ip_addresses": [ "example" ], "op": "IN" } }, "namespace": "example", "page_number": 1, "page_size": 1, "page_token": "example", "script_id": "example", "sorts": [ { "field": "example", "order": "DESCENDING" } ], "start_time": "example" }'List affected users who have loaded this particular script.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace.
Script_id x-required ID of the script.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to list affected users who have loaded this particular script.
object
Format: unix epoch timestamp in seconds fetch affected users whose last seen time <= end_time Required: YES.
object
object
An unordered list of device IDs Required: YES.
object
An unordered list of geolocations Required: YES.
object
An unordered list of IP addresses Required: YES.
Namespace
One-indexed page number (starts from 1), page_number and page_size are optional when page_token is specified.
The maximum number of affected users to return per page.
Page_token is the value of listaffectedusersresponse.next_page_token from previous request.
ID of the script Required: YES.
Additional sort criteria.
API query sort criteria.
object
Field specification or configuration
Format: unix epoch timestamp in seconds fetch affected users whose last seen time >= start_time Required: YES.
Responses
Section titled “Responses”A successful response.
Response to list affected users who have loaded this particular script.
object
List of affected users.
Information about the affected user.
object
Channel of access to script by affected user.
Device ID of the affected user.
Geolocation of the affected user.
IP address of the affected user.
Format: unix epoch timestamp in milliseconds Last seen time.
User agent of affected user.
Opaque value passed back alone with the additional calls. All filtering will stay the same.
One-indexed page number.
The maximum number of affected users to return per page.
Total count of affected users available at time of query, and subject to change across queries.
Total number of pages available depending upon requested page_size.
Examplegenerated
{ "affected_users": [ { "channel": "example", "device_id": "example", "geolocation": "example", "ip_address": "example", "last_seen": "example", "user_agent": "example" } ], "next_page_token": "example", "page_number": 1, "page_size": 1, "total_count": 1, "total_pages": 1}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example